GET/ProposalInvoices/{proposalInvoiceId}
Returns one proposal invoice with its allocations (including each proposal's status) and payments. The
proposalInvoiceId comes from ProposalInvoices_GetProposalInvoices. Requires event admin.
Path Parameters
| Field | Type | Required | Description |
|---|
| proposalInvoiceId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| number | string| null | |
| purpose | string| null | |
| client | GetProposalInvoiceResponseClientInfo | |
| description | string| null | |
| issuedDate | date-time | |
| dueDate | date-time| null | |
| fileId | uuid| null | |
| total | number | |
| received | number | |
| outstanding | number | |
| isSettled | boolean | |
| allocations | GetProposalInvoiceResponseAllocation[]| null | |
| payments | GetProposalInvoiceResponsePayment[]| null | |
GetProposalInvoiceResponseClientInfo
| Field | Type | Description |
|---|
| collaboratorRecordId | uuid| null | |
GetProposalInvoiceResponseAllocation
| Field | Type | Description |
|---|
| id | uuid | |
| proposalId | uuid | |
| proposalName | string| null | |
| proposalStatus | string| null | |
| amount | number | |
GetProposalInvoiceResponsePayment
| Field | Type | Description |
|---|
| id | uuid | |
| amount | number | |
| date | date-time | |
| method | string| null | |
| reference | string| null | |